# Comunicación puerto serie - Octave
# aztk CopyLeft 2010
#
# n = bytesAvailable(sp)
#   Regresa el numero de elementos disponibles en el buffer
#    del puerto serie 'sp'

function n=bytesAvailable(sp)
    send(sp.streamAddress,'%byav%'); % Envía una solicitud al server
    n = recv(sp.streamAddress, 1);
    if !length(n) % Si el server no regresa nada, n = 0
    	n = 0;
    endif
endfunction

# Author: aztk <aztecaymaya@gmail.com>